# Uses of Interface
org.eclipse.update.configurator.IPlatformConfiguration.IFeatureEntry

Packages that use IPlatformConfiguration.IFeatureEntry
Package
Description
org.eclipse.update.configurator
Provides support for accessing platform configuration data.

## Uses of IPlatformConfiguration.IFeatureEntry in org.eclipse.update.configurator

Methods in org.eclipse.update.configurator that return IPlatformConfiguration.IFeatureEntry
Modifier and Type
Method
Description
`IPlatformConfiguration.IFeatureEntry`
IPlatformConfiguration.`createFeatureEntry(String id, String version, String pluginVersion, boolean primary, String application, URL[] root)`
Deprecated.
Create a feature entry
`IPlatformConfiguration.IFeatureEntry`
IPlatformConfiguration.`createFeatureEntry(String id, String version, String pluginIdentifier, String pluginVersion, boolean primary, String application, URL[] root)`
Deprecated.
Create a feature entry
`IPlatformConfiguration.IFeatureEntry`
IPlatformConfiguration.`findConfiguredFeatureEntry(String id)`
Deprecated.
Locates the specified feature entry.
`IPlatformConfiguration.IFeatureEntry[]`
IPlatformConfiguration.`getConfiguredFeatureEntries()`
Deprecated.
Returns a list of configured feature entries.
Methods in org.eclipse.update.configurator with parameters of type IPlatformConfiguration.IFeatureEntry
Modifier and Type
Method
Description
`void`
IPlatformConfiguration.`configureFeatureEntry(IPlatformConfiguration.IFeatureEntry entry)`
Deprecated.
Configures the feature entry.
`void`
IPlatformConfiguration.`unconfigureFeatureEntry(IPlatformConfiguration.IFeatureEntry entry)`
Deprecated.
Unconfigures the specified feature entry if it exists.